# Class CIM_LogicalModule
extends CIM_LogicalDevice

LogicalModule is the logical device that corresponds to a component part (such as a card or blade) in a device. For example, a line card in a switch is an instance of LogicalModule, that is associated with the the switch itself. A logical module is not necessarily independently managed.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_LogicalModule

## Direct Known Subclasses

CIM_PassThroughModule

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | LogicalModule is the logical device that corresponds to a component part (such as a card or blade) in a device. For example, a line card in a switch is an instance of LogicalModule, that is associated with the the switch itself. A logical module is not necessarily independently managed.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LogicalModuleType | uint16 | 0

Description

string

Type identifies the type of LogicalModule this instance represents. A value of "Unknown" indicates that the LogicalModuleType is unknown. A value of "Other" indicates that the value is not one of the enumerated values. OtherLogicalModuleTypeDescription should contain additional information. A value of "Device Tray" indicates that the device is a device or media tray, for example in a modular system. A value of "Line Card" indicates that the module is a line card in a switch. A value of "Blade" indicates the module is a blade inserted into a switch. The ranges expressed by "DMTF Reserved" and "Vendor Reserved" are reserved for DMTF and Vendor extensibility, respectively.

ModelCorrespondence | string | CIM_LogicalModule.OtherLogicalModuleTypeDescription
ValueMap | string | 0, 1, 2, 3, 4, 5..32767, 32768..65535
Values | string | Unknown, Other, Device Tray, Line Card, Blade, DMTF Reserved, Vendor Reserved
ModuleNumber | uint16 |
Description | string | Logical modules are often named by the physical or logical slot that they occupy within the containing device. ModuleNumber is the number assigned to the module by its parent.
OtherLogicalModuleTypeDescription | string |
Description | string | OtherLogicalModuleTypeDescription provides additional information about the type of LogicalModule represented by this instance when the value of LogicalModuleType is 1 ("Other").
ModelCorrespondence | string | CIM_LogicalModule.LogicalModuleType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice